Eclipse Platform Release 3.7

## org.eclipse.jface.text.hyperlink
Interface IHyperlinkPresenterExtension

All Known Implementing Classes:
  DefaultHyperlinkPresenter, MultipleHyperlinkPresenter

    public interface IHyperlinkPresenterExtension

Extends `IHyperlinkPresenter` with ability to query whether the currently shown hyperlinks can be hidden.

Clients may implement this interface.

Since:
  3.4

Method Summary
`boolean` `canHideHyperlinks()` Tells whether the currently shown hyperlinks can be hidden.

Method Detail

### canHideHyperlinks

    boolean canHideHyperlinks()

  Tells whether the currently shown hyperlinks can be hidden.

  Returns:
    `true` if the hyperlink manager can hide the current hyperlinks

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.